"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _listCacheClear = require("./_listCacheClear.js");
const _listCacheDelete = require("./_listCacheDelete.js");
const _listCacheGet = require("./_listCacheGet.js");
const _listCacheHas = require("./_listCacheHas.js");
const _listCacheSet = require("./_listCacheSet.js");
function ListCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
ListCache.prototype.clear = _listCacheClear.default;
ListCache.prototype["delete"] = _listCacheDelete.default;
ListCache.prototype.get = _listCacheGet.default;
ListCache.prototype.has = _listCacheHas.default;
ListCache.prototype.set = _listCacheSet.default;
exports.default = ListCache;
